petsc-3.15.0 2021-03-30
Report Typos and Errors

# KSPGuessView

View the KSPGuess object

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessView(KSPGuess guess, PetscViewer view)

Logically Collective on guess

### Input Parameters

| guess | - the initial guess object for the Krylov method
| viewer | - the viewer object

### Notes

### See Also

KSP, KSPGuess, KSPGuessType, KSPGuessRegister(), KSPGuessCreate(), PetscViewer

### Level

intermediate

### Location

src/ksp/ksp/interface/iguess.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages